Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume_6A.F90	(revision 5082)
@@ -249,10 +249,10 @@
 
 !--------------------------------------------------
-        if (iflag_thermals_ed.lt.8) then
+        if (iflag_thermals_ed<8) then
 !--------------------------------------------------
 !AJ052014: J'ai remplac?? la boucle do par un do while
 ! afin de faire moins de calcul dans la boucle
 !--------------------------------------------------
-            do while (zlmelup.gt.zltup)
+            do while (zlmelup>zltup)
                lt=lt+1
                zlt=zlev(ig,lt)
@@ -286,5 +286,5 @@
              ztv2=atv2*zlt+btv2
 
-             if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) then  
+             if (ztv(ig,lt)>ztv1.and.ztv(ig,lt)<ztv2) then
 
 !--------------------------------------------------
@@ -296,9 +296,9 @@
 
           
-                if (zlmeldwn.ge.zinv) then
+                if (zlmeldwn>=zinv) then
                    ztv_est(ig,l)=atv2*zlmel+btv2
                    zbuoyjam(ig,l)=fact_shell*RG*(ztva_est(ig,l)-ztv_est(ig,l))/ztv_est(ig,l) &
     &                    +(1.-fact_shell)*zbuoy(ig,l)
-                elseif (zlmelup.ge.zinv) then
+                elseif (zlmelup>=zinv) then
                  ztv_est2=atv2*0.5*(zlmelup+zinv)+btv2
                    ztv_est1=atv1*0.5*(zinv+zlmeldwn)+btv1
@@ -317,5 +317,5 @@
              else ! if (ztv(ig,lt).gt.ztv1.and.ztv(ig,lt).lt.ztv2) then
 
-                if (zlmeldwn.gt.zltdwn) then
+                if (zlmeldwn>zltdwn) then
                    zbuoyjam(ig,l)=fact_shell*RG*((ztva_est(ig,l)- & 
     &                ztv(ig,lt))/ztv(ig,lt))+(1.-fact_shell)*zbuoy(ig,l)
@@ -340,5 +340,5 @@
            zdz2=zlev(ig,lt)-zlev(ig,l)
 
-           do while (lmel.gt.zdz2)
+           do while (lmel>zdz2)
              lt=lt+1
              zlt=zlev(ig,lt)
@@ -481,5 +481,5 @@
 !          entrbis=entr_star(ig,l)
 
-          if (iflag_thermals_ed.lt.6) then
+          if (iflag_thermals_ed<6) then
           fact_epsilon=0.0002/(zalpha+0.1)
           endif
@@ -520,5 +520,5 @@
 ! En dessous de lalim, on prend le max de alim_star et entr_star pour
 ! alim_star et 0 sinon
-        if (l.lt.lalim(ig)) then
+        if (l<lalim(ig)) then
           alim_star(ig,l)=max(alim_star(ig,l),entr_star(ig,l))
           entr_star(ig,l)=0.
@@ -599,5 +599,5 @@
 
 
-           if (iflag_thermals_ed.lt.6) then
+           if (iflag_thermals_ed<6) then
            zalpha=f0(ig)*f_star(ig,l)/sqrt(zw2(ig,l+1))/rhobarz(ig,l)
 !           fact_epsilon=0.0005/(zalpha+0.025)**0.5
@@ -621,5 +621,5 @@
    enddo
 
-        if (prt_level.ge.20) print*,'coucou calcul detr 460: ig, l',ig, l
+        if (prt_level>=20) print*,'coucou calcul detr 460: ig, l',ig, l
 !
 !===========================================================================
@@ -629,5 +629,5 @@
    nbpb=0
    do ig=1,ngrid
-            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1).lt.1.e-10) then
+            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) then
 !               stop'On tombe sur le cas particulier de thermcell_dry'
 !               print*,'On tombe sur le cas particulier de thermcell_plume'
@@ -637,10 +637,10 @@
             endif
 
-        if (zw2(ig,l+1).lt.0.) then 
+        if (zw2(ig,l+1)<0.) then
            linter(ig)=(l*(zw2(ig,l+1)-zw2(ig,l))  &
      &               -zw2(ig,l))/(zw2(ig,l+1)-zw2(ig,l))
            zw2(ig,l+1)=0.
 !+CR:04/05/12:correction calcul linter pour calcul de zmax continu
-        elseif (f_star(ig,l+1).lt.0.) then
+        elseif (f_star(ig,l+1)<0.) then
            linter(ig)=(l*(f_star(ig,l+1)-f_star(ig,l))  &
      &               -f_star(ig,l))/(f_star(ig,l+1)-f_star(ig,l))
@@ -651,8 +651,8 @@
            wa_moy(ig,l+1)=sqrt(zw2(ig,l+1)) 
 
-        if (wa_moy(ig,l+1).gt.wmaxa(ig)) then
+        if (wa_moy(ig,l+1)>wmaxa(ig)) then
 !   lmix est le niveau de la couche ou w (wa_moy) est maximum
 !on rajoute le calcul de lmix_bis
-            if (zqla(ig,l).lt.1.e-10) then
+            if (zqla(ig,l)<1.e-10) then
                lmix_bis(ig)=l+1
             endif
@@ -682,5 +682,5 @@
        
 
-        if (prt_level.ge.20) print*,'coucou calcul detr 470: ig, l', ig, l
+        if (prt_level>=20) print*,'coucou calcul detr 470: ig, l', ig, l
 
 #undef wrgrads_thermcell
@@ -952,5 +952,5 @@
  
 
-             if (w_est(ig,l+1).lt.0.) then
+             if (w_est(ig,l+1)<0.) then
                 w_est(ig,l+1)=zw2(ig,l)
              endif
@@ -986,5 +986,5 @@
 ! En dessous de lalim, on prend le max de alim_star et entr_star pour
 ! alim_star et 0 sinon
-        if (l.lt.lalim(ig)) then
+        if (l<lalim(ig)) then
           alim_star(ig,l)=max(alim_star(ig,l),entr_star(ig,l))
           entr_star(ig,l)=0.
@@ -1040,5 +1040,5 @@
    enddo
 
-        if (prt_level.ge.20) print*,'coucou calcul detr 460: ig, l',ig, l
+        if (prt_level>=20) print*,'coucou calcul detr 460: ig, l',ig, l
 !
 !---------------------------------------------------------------------------
@@ -1048,5 +1048,5 @@
    nbpb=0
    do ig=1,ngrid
-            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1).lt.1.e-10) then
+            if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) then
 !               stop'On tombe sur le cas particulier de thermcell_dry'
 !               print*,'On tombe sur le cas particulier de thermcell_plume'
@@ -1056,9 +1056,9 @@
             endif
 
-        if (zw2(ig,l+1).lt.0.) then 
+        if (zw2(ig,l+1)<0.) then
            linter(ig)=(l*(zw2(ig,l+1)-zw2(ig,l))  &
      &               -zw2(ig,l))/(zw2(ig,l+1)-zw2(ig,l))
            zw2(ig,l+1)=0.
-        elseif (f_star(ig,l+1).lt.0.) then
+        elseif (f_star(ig,l+1)<0.) then
            linter(ig)=(l*(f_star(ig,l+1)-f_star(ig,l))  &
      &               -f_star(ig,l))/(f_star(ig,l+1)-f_star(ig,l))
@@ -1069,8 +1069,8 @@
            wa_moy(ig,l+1)=sqrt(zw2(ig,l+1)) 
 
-        if (wa_moy(ig,l+1).gt.wmaxa(ig)) then
+        if (wa_moy(ig,l+1)>wmaxa(ig)) then
 !   lmix est le niveau de la couche ou w (wa_moy) est maximum
 !on rajoute le calcul de lmix_bis
-            if (zqla(ig,l).lt.1.e-10) then
+            if (zqla(ig,l)<1.e-10) then
                lmix_bis(ig)=l+1
             endif
@@ -1100,5 +1100,5 @@
        
 
-        if (prt_level.ge.20) print*,'coucou calcul detr 470: ig, l', ig, l
+        if (prt_level>=20) print*,'coucou calcul detr 470: ig, l', ig, l
 
 #undef wrgrads_thermcell
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5082)
@@ -73,5 +73,5 @@
 
 do iter=1,10
-    afaire(:)=abs(DT(:)).gt.DDT0
+    afaire(:)=abs(DT(:))>DDT0
     do ig=1,klon
                if (afaire(ig)) then
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5082)
@@ -181,5 +181,5 @@
     DO i=1, klon 
 !  incloud scavenging
-      IF (iflag_lscav .EQ. 4) THEN
+      IF (iflag_lscav == 4) THEN
         beta=beta_fisrt(i,k)*rneb(i,k)
       ELSE
@@ -213,5 +213,5 @@
       deltaP(i,k)=max(deltaP(i,k),0.)
 
-      IF (flxr(i,k+1)+flxs(i,k+1).GT.1.e-16) THEn
+      IF (flxr(i,k+1)+flxs(i,k+1)>1.e-16) THEn
         beta_ev(i,k)=deltaP(i,k)/(flxr(i,k+1)+flxs(i,k+1))
       ELSE
@@ -222,5 +222,5 @@
 
 !jyg
-      IF (ABS(1.-(1.-frac_ev)*beta_ev(i,k)).GT.1.e-16) THEN
+      IF (ABS(1.-(1.-frac_ev)*beta_ev(i,k))>1.e-16) THEN
 ! remove tracers from precipitation owing to release by evaporation in his_dh
         dxev=frac_ev*beta_ev(i,k)*his_dh(i)*pdtime/zmass(i,k)/(1.-(1.-frac_ev)*beta_ev(i,k))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90	(revision 5082)
@@ -80,5 +80,5 @@
   !
   year_fr = FLOAT(year_cur) + (FLOAT(day_cur)-0.5) / FLOAT(year_len)
-  IF (year_fr.LT.1850.0.OR.year_fr.GE.2017.0) THEN
+  IF (year_fr<1850.0.OR.year_fr>=2017.0) THEN
      CALL abort_physic ('macv2sp','year not supported by plume model',1)
   ENDIF
@@ -132,21 +132,21 @@
   DO Nwv=0,Nwvmax-1
 
-    IF (Nwv.EQ.0) THEN          !--RRTM spectral band 1
+    IF (Nwv==0) THEN          !--RRTM spectral band 1
       zlambda=lambda(Nwv)
       zweight=1.0
       band=1
-    ELSEIF (Nwv.LE.5) THEN      !--RRTM spectral band 2
+    ELSEIF (Nwv<=5) THEN      !--RRTM spectral band 2
       zlambda=0.5*(lambda(Nwv)+lambda(Nwv+1))
       zweight=weight(Nwv)/SUM(weight(1:5))
       band=2
-    ELSEIF (Nwv.LE.10) THEN     !--RRTM spectral band 3
+    ELSEIF (Nwv<=10) THEN     !--RRTM spectral band 3
       zlambda=0.5*(lambda(Nwv)+lambda(Nwv+1))
       zweight=weight(Nwv)/SUM(weight(6:10))
       band=3
-    ELSEIF (Nwv.LE.16) THEN     !--RRTM spectral band 4
+    ELSEIF (Nwv<=16) THEN     !--RRTM spectral band 4
       zlambda=0.5*(lambda(Nwv)+lambda(Nwv+1))
       zweight=weight(Nwv)/SUM(weight(11:16))
       band=4
-    ELSEIF (Nwv.LE.21) THEN     !--RRTM spectral band 5
+    ELSEIF (Nwv<=21) THEN     !--RRTM spectral band 5
       zlambda=0.5*(lambda(Nwv)+lambda(Nwv+1))
       zweight=weight(Nwv)/SUM(weight(17:21))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5082)
@@ -19,10 +19,10 @@
      jbad = 0
      DO i = 1, klon
-        IF (zq(i,k).GT.qmax .OR. zq(i,k).LT.qmin) THEN
+        IF (zq(i,k)>qmax .OR. zq(i,k)<qmin) THEN
            jbad = jbad + 1
            jadrs(jbad) = i
         ENDIF
      ENDDO
-     IF (jbad.GT.0) THEN
+     IF (jbad>0) THEN
         WRITE(*,*)comment, "  k = ", k, "jbad > 0"
         if (prt_level >= 1) then
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5082)
@@ -100,5 +100,5 @@
   DO k=1,klev
      DO i=1, klon
-        IF ((zmfu(i,k+1)+zde_u(i,k)).lt.zmfmin) THEN
+        IF ((zmfu(i,k+1)+zde_u(i,k))<zmfmin) THEN
            xu(i,k)=x(i,k)
         ELSE
@@ -118,5 +118,5 @@
   DO k=klev,1,-1
      DO i=1, klon
-        IF ((zde_d(i,k)-zmfd(i,k)).lt.zmfmin) THEN
+        IF ((zde_d(i,k)-zmfd(i,k))<zmfmin) THEN
            xd(i,k)=x(i,k)
         ELSE
@@ -133,5 +133,5 @@
      DO i=1, klon
         zmfe=-zmfu(i,k)-zmfd(i,k)
-        IF (zmfe.le.0.) then
+        IF (zmfe<=0.) then
            zmfex(i,k)= zmfe*x(i,k)
         ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5082)
@@ -103,5 +103,5 @@
 
   DO k = 1, klev
-     IF (iflag_t_glace.EQ.0) THEN
+     IF (iflag_t_glace==0) THEN
        DO i = 1, klon
         zfice(i) = 1.0 - (t(i,k)-t_glace_min_old)/(273.13-t_glace_min_old)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90	(revision 5082)
@@ -211,5 +211,5 @@
   SELECT CASE(nsw)
   CASE(2)
-    IF (JWL.LE.49) THEN       ! from 200  to 680 nm 
+    IF (JWL<=49) THEN       ! from 200  to 680 nm
      inu=1
     ELSE                      ! from 690  to 4000 nm
@@ -217,9 +217,9 @@
     ENDIF
   CASE(4)
-    IF (JWL.LE.49) THEN       ! from 200  to 680 nm 
+    IF (JWL<=49) THEN       ! from 200  to 680 nm
      inu=1
-    ELSE IF (JWL.LE.99) THEN  ! from 690  to 1180 nm
+    ELSE IF (JWL<=99) THEN  ! from 690  to 1180 nm
      inu=2
-    ELSE IF (JWL.LE.218) THEN ! from 1190 to 2370 nm
+    ELSE IF (JWL<=218) THEN ! from 1190 to 2370 nm
      inu=3
     ELSE                      ! from 2380 to 4000 nm
@@ -227,13 +227,13 @@
     ENDIF
   CASE(6)
-    IF (JWL.LE.5) THEN        ! from 200  to 240 nm 
+    IF (JWL<=5) THEN        ! from 200  to 240 nm
      inu=1
-    ELSE IF (JWL.LE.24) THEN  ! from 250  to 430 nm
+    ELSE IF (JWL<=24) THEN  ! from 250  to 430 nm
      inu=2
-    ELSE IF (JWL.LE.49) THEN  ! from 440  to 680 nm
+    ELSE IF (JWL<=49) THEN  ! from 440  to 680 nm
      inu=3
-    ELSE IF (JWL.LE.99) THEN  ! from 690  to 1180 nm
+    ELSE IF (JWL<=99) THEN  ! from 690  to 1180 nm
      inu=4
-    ELSE IF (JWL.LE.218) THEN ! from 1190 to 2370 nm
+    ELSE IF (JWL<=218) THEN ! from 1190 to 2370 nm
      inu=5
     ELSE                      ! from 2380 to 4000 nm
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5082)
@@ -143,5 +143,5 @@
 !--sb:
 !!jyg    if (knon.eq.1) then ! single-column model
-    if (klon_glo.eq.1) then ! single-column model
+    if (klon_glo==1) then ! single-column model
       ! EV: now surface Tin flux_arp.h
       !CALL read_tsurf1d(knon,tsurf_lim) ! new
@@ -492,5 +492,5 @@
     CALL albsno(klon, knon, dtime, agesno(:), alb_neig(:), precip_snow(:))  
 
-    WHERE (snow(1:knon) .LT. 0.0001) agesno(1:knon) = 0.
+    WHERE (snow(1:knon) < 0.0001) agesno(1:knon) = 0.
 
     alb1_new(:) = 0.0
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_slab_mod.F90	(revision 5082)
@@ -162,5 +162,5 @@
     slabh(1)=50.
     CALL getin_p('slab_depth',slabh(1))
-    IF (nslay.GT.1) THEN 
+    IF (nslay>1) THEN
         slabh(2)=150.
     END IF
@@ -186,9 +186,9 @@
     slab_gm=.FALSE.
     CALL getin_p('slab_gm',slab_gm)
-    IF (slab_ekman.LT.2) THEN
+    IF (slab_ekman<2) THEN
        slab_gm=.FALSE.
     ENDIF 
 ! Convective adjustment
-    IF (nslay.EQ.1) THEN
+    IF (nslay==1) THEN
         slab_cadj=0
     ELSE
@@ -275,5 +275,5 @@
     ENDIF
 
-    IF (slab_ekman.GT.0) THEN ! ekman transport
+    IF (slab_ekman>0) THEN ! ekman transport
         ALLOCATE(dt_ekman(klon,nslay), stat = error)
         IF (error /= 0) THEN
@@ -297,5 +297,5 @@
 
 ! Initialize transport
-    IF (slab_hdiff.OR.(slab_ekman.GT.0)) THEN
+    IF (slab_hdiff.OR.(slab_ekman>0)) THEN
       CALL gather(zmasq,zmasq_glo)
 ! Master thread/process only
@@ -461,5 +461,5 @@
 
 ! save cumulated wind stress
-    IF (slab_ekman.GT.0) THEN 
+    IF (slab_ekman>0) THEN
       DO i=1,knon
           ki=knindex(i)
@@ -477,5 +477,5 @@
     ! qflux = total QFlux correction (in W/m2)
     dt_qflux(:,1)=lmt_bils(:,1)+diff_sst(:)/cyang/86400.-diff_siv(:)*ice_den*ice_lat/86400.
-    IF (nslay.GT.1) THEN
+    IF (nslay>1) THEN
        dt_qflux(:,2:nslay)=lmt_bils(:,2:nslay)
     END IF
@@ -487,9 +487,9 @@
 !***********************************************o*****************************************
     tsurf_new=tsurf_in
-    IF (MOD(itime,cpl_pas).EQ.0) THEN ! time to update tslab & fraction
+    IF (MOD(itime,cpl_pas)==0) THEN ! time to update tslab & fraction
 ! ***********************************
 !  Horizontal transport 
 ! ***********************************
-      IF (slab_ekman.GT.0) THEN 
+      IF (slab_ekman>0) THEN
           ! copy wind stress to global var
           CALL gather(taux_cum,taux_glo)
@@ -497,5 +497,5 @@
       END IF
 
-      IF (slab_hdiff.OR.(slab_ekman.GT.0)) THEN 
+      IF (slab_hdiff.OR.(slab_ekman>0)) THEN
         CALL gather(tslab,tslab_glo)
       ! Compute horiz transport on one process only
@@ -504,5 +504,5 @@
               dt_hdiff_glo(:,:)=0.
           END IF
-          IF (slab_ekman.GT.0) THEN 
+          IF (slab_ekman>0) THEN
               dt_ekman_glo(:,:)=0.
           END IF
@@ -511,5 +511,5 @@
           END IF
           DO i=1,cpl_pas ! time splitting for numerical stability
-            IF (slab_ekman.GT.0) THEN
+            IF (slab_ekman>0) THEN
               SELECT CASE (slab_ekman)
                 CASE (1)
@@ -564,5 +564,5 @@
             dt_gm_glo(:,:)=dt_gm_glo(:,:)*sea_cap/cpl_pas
           END IF
-          IF (slab_ekman.GT.0) THEN 
+          IF (slab_ekman>0) THEN
             ! dt_ekman_glo saved in W/m2
             dt_ekman_glo(:,:)=dt_ekman_glo(:,:)*sea_cap/cpl_pas
@@ -578,5 +578,5 @@
           CALL Scatter(dt_gm_glo,dt_gm)
         END IF
-        IF (slab_ekman.GT.0) THEN 
+        IF (slab_ekman>0) THEN
           CALL Scatter(dt_ekman_glo,dt_ekman)
           ! clear wind stress
@@ -597,7 +597,7 @@
       tslab(:,1)=tslab(:,1)+bils_cum(:)*cyang*dtime
       ! Convective adjustment if 2 layers 
-      IF ((nslay.GT.1).AND.(slab_cadj.GT.0)) THEN
+      IF ((nslay>1).AND.(slab_cadj>0)) THEN
         DO i=1,klon
-          IF (tslab(i,2).GT.tslab(i,1)) THEN
+          IF (tslab(i,2)>tslab(i,1)) THEN
             ! mean (mass-weighted) temperature
             t_cadj=SUM(tslab(i,:)*slabh(:))/SUM(slabh(:))
@@ -620,5 +620,5 @@
           DO i=1,knon
               ki=knindex(i)
-              IF ((tslab(ki,1).LT.t_freeze).OR.(fsic(ki).GT.epsfra)) THEN
+              IF ((tslab(ki,1)<t_freeze).OR.(fsic(ki)>epsfra)) THEN
                   tslab(ki,1)=t_freeze
               END IF
@@ -628,6 +628,6 @@
           DO i=1,knon
               ki=knindex(i)
-              IF (fsic(ki).LT.epsfra) THEN ! Free of ice
-                  IF (tslab(ki,1).LT.t_freeze) THEN ! create new ice
+              IF (fsic(ki)<epsfra) THEN ! Free of ice
+                  IF (tslab(ki,1)<t_freeze) THEN ! create new ice
                       ! quantity of new ice formed
                       e_freeze=(t_freeze-tslab(ki,1))/cyang/ice_lat
@@ -635,5 +635,5 @@
                       tice(ki)=t_freeze
                       fsic(ki)=MIN(ice_frac_max,e_freeze/h_ice_thin)
-                      IF (fsic(ki).GT.ice_frac_min) THEN
+                      IF (fsic(ki)>ice_frac_min) THEN
                           seaice(ki)=MIN(e_freeze/fsic(ki),h_ice_max)
                           tslab(ki,1)=t_freeze
@@ -647,5 +647,5 @@
               ELSE ! ice present
                   tsurf_new(i)=t_freeze
-                  IF (tslab(ki,1).LT.t_freeze) THEN ! create new ice
+                  IF (tslab(ki,1)<t_freeze) THEN ! create new ice
                       ! quantity of new ice formed over open ocean
                       e_freeze=(t_freeze-tslab(ki,1))/cyang*(1.-fsic(ki)) &
@@ -754,5 +754,5 @@
     DO i=1,knon
     ki=knindex(i)
-        IF (snow(i).GT.snow_min) THEN
+        IF (snow(i)>snow_min) THEN
             ! snow-layer heat capacity
             cal(i)=2.*RCPD/(snow(i)*ice_cap)
@@ -788,5 +788,5 @@
         tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
     DO i=1,knon 
-        IF (snow(i).LT.snow_min) tice(knindex(i))=tsurf_new(i)
+        IF (snow(i)<snow_min) tice(knindex(i))=tsurf_new(i)
     END DO
 
@@ -815,10 +815,10 @@
         ENDIF
 ! Melt / Freeze snow from above if Tsurf>0
-        IF (tsurf_new(i).GT.t_melt) THEN
+        IF (tsurf_new(i)>t_melt) THEN
             ! energy available for melting snow (in kg of melted snow /m2)
             e_melt = MIN(MAX(snow(i)*(tsurf_new(i)-t_melt)*ice_cap/2. &
                /(ice_lat+ice_cap/2.*(t_melt-tice(ki))),0.0),snow(i))
             ! remove snow
-            IF (snow(i).GT.e_melt) THEN
+            IF (snow(i)>e_melt) THEN
                 snow(i)=snow(i)-e_melt
                 tsurf_new(i)=t_melt
@@ -831,5 +831,5 @@
         END IF
 ! melt ice from above if Tice>0
-        IF (tice(ki).GT.t_melt) THEN
+        IF (tice(ki)>t_melt) THEN
             ! quantity of ice melted (kg/m2)
             e_melt=MAX(seaice(ki)*(tice(ki)-t_melt)*ice_cap/2. & 
@@ -838,5 +838,5 @@
             dhsic=MIN(seaice(ki)-h_ice_min,e_melt)
             e_melt=e_melt-dhsic
-            IF (e_melt.GT.0) THEN
+            IF (e_melt>0) THEN
             ! lateral melt if ice too thin
             dfsic=MAX(fsic(ki)-ice_frac_min,e_melt/h_ice_min*fsic(ki))
@@ -854,5 +854,5 @@
         ! convert snow to ice if below floating line
         h_test=(seaice(ki)+snow(i))*ice_den-seaice(ki)*sea_den
-        IF (h_test.GT.0.) THEN !snow under water
+        IF (h_test>0.) THEN !snow under water
             ! extra snow converted to ice (with added frozen sea water)
             dhsic=h_test/(sea_den-ice_den+sno_den)
@@ -871,5 +871,5 @@
         ki=knindex(i)
        ! snow albedo: update snow age
-        IF (snow(i).GT.0.0001) THEN
+        IF (snow(i)>0.0001) THEN
              agesno(i)=(agesno(i) + (1.-agesno(i)/50.)*dtime/86400.)&
                          * EXP(-1.*MAX(0.0,precip_snow(i))*dtime/5.)
@@ -881,5 +881,5 @@
         ! ice albedo (varies with ice tkickness and temp)
         alb_ice=MAX(0.0,0.13*LOG(100.*seaice(ki)/ice_den)+0.1)
-        IF (tice(ki).GT.t_freeze-0.01) THEN
+        IF (tice(ki)>t_freeze-0.01) THEN
             alb_ice=MIN(alb_ice,alb_ice_wet)
         ELSE
@@ -905,5 +905,5 @@
     !cumul fluxes
     bilg_cum(:)=bilg_cum(:)+slab_bilg(:)
-    IF (MOD(itime,cpl_pas).EQ.0) THEN ! time to update tslab & fraction
+    IF (MOD(itime,cpl_pas)==0) THEN ! time to update tslab & fraction
         ! Add cumulated surface fluxes
         tslab(:,1)=tslab(:,1)+bilg_cum(:)*cyang*dtime
@@ -912,5 +912,5 @@
             ! split lateral/top melt-freeze
             frac_mf=MIN(1.,MAX(0.,(seaice(ki)-h_ice_thin)/(h_ice_thick-h_ice_thin)))
-            IF (tslab(ki,1).LE.t_freeze) THEN 
+            IF (tslab(ki,1)<=t_freeze) THEN
                ! ****** Form new ice from below *******
                ! quantity of new ice
@@ -921,5 +921,5 @@
                seaice(ki)=dhsic+seaice(ki)
                e_melt=e_melt-fsic(ki)*dhsic
-               IF (e_melt.GT.0.) THEN
+               IF (e_melt>0.) THEN
                ! frac_mf fraction used for lateral increase
                dfsic=MIN(ice_frac_max-fsic(ki),e_melt*frac_mf/seaice(ki))
@@ -939,5 +939,5 @@
                seaice(ki)=seaice(ki)-dhsic
                e_melt=e_melt-fsic(ki)*dhsic
-               IF (e_melt.GT.0) THEN
+               IF (e_melt>0) THEN
                ! frac_mf fraction used for height decrease
                dhsic=MAX(0.,MIN(seaice(ki)-h_ice_min,e_melt*frac_mf/fsic(ki)))
@@ -957,5 +957,5 @@
     
     !tests ice fraction 
-    WHERE (fsic.LT.ice_frac_min)
+    WHERE (fsic<ice_frac_min)
         tslab(:,1)=tslab(:,1)-fsic*seaice*ice_lat*cyang
         tice=t_melt
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5082)
@@ -396,5 +396,5 @@
         ! -----------------
 
-        IF (partdrag .GE. 2) THEN
+        IF (partdrag >= 2) THEN
         facpart=0.
         ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/paramlmdz_phy_mod.F90	(revision 5082)
@@ -60,5 +60,5 @@
 !
        CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon_glo,zx_lon)
-       IF (nbp_lon.GT.1) THEN
+       IF (nbp_lon>1) THEN
        DO i = 1, nbp_lon
          zx_lon(i,1) = rlon_glo(i+1)
